- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QHttpResponseHeader Class Reference

Search for all occurrences

## Detailed Description

Definition at line 119 of file qhttp.h.

`#include <qhttp.h>`

Inheritance diagram for QHttpResponseHeader:
[legend]

List of all members.

## Public Member Functions
| QHttpResponseHeader ()
| QHttpResponseHeader (const QHttpResponseHeader &header)
| QHttpResponseHeader (const QString &str)
| QHttpResponseHeader (int code, const QString &text=QString(), int majorVer=1, int minorVer=1)
QHttpResponseHeader & | operator= (const QHttpResponseHeader &header)
void | setStatusLine (int code, const QString &text=QString(), int majorVer=1, int minorVer=1)
int | statusCode () const
QString | reasonPhrase () const
int | majorVersion () const
int | minorVersion () const
QString | toString () const
## Protected Member Functions
bool | parseLine (const QString &line, int number)
## Friends
class | QHttpPrivate

## Constructor & Destructor Documentation

QHttpResponseHeader | ( |  | ) |

QHttpResponseHeader | ( | const QHttpResponseHeader & | header | ) |

QHttpResponseHeader | ( | const QString & | str | ) |

QHttpResponseHeader | ( | int | code,
|  | const QString & | text = `QString()`,
|  | int | majorVer = `1`,
|  | int | minorVer = `1`
| ) |  |

## Member Function Documentation

QHttpResponseHeader& operator= | ( | const QHttpResponseHeader & | header | ) |

void setStatusLine | ( | int | code,
|  | const QString & | text = `QString()`,
|  | int | majorVer = `1`,
|  | int | minorVer = `1`
| ) |  |

Search for all occurrences

int statusCode | ( |  | ) | const

Search for all occurrences

QString reasonPhrase | ( |  | ) | const

Search for all occurrences

int majorVersion | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QHttpHeader.

int minorVersion | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QHttpHeader.

QString toString | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QHttpHeader.

bool parseLine | ( | const QString & | line,
|  | int | number
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QHttpHeader.

## Friends And Related Function Documentation

friend class QHttpPrivate `[friend]`

Search for all occurrences

Definition at line 143 of file qhttp.h.

The documentation for this class was generated from the following file:

- QtNetwork/qhttp.h

QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader
QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader QHttpResponseHeader